Subject: Re: [secdir] [Last-Call] Secdir last call review of draft-ietf-mmusic-msrp-usage-data-channel-22

From: Benjamin Kaduk <[email-masked]>
Date: Mon, 10 Aug 2020 17:52:55 -0700

Hi Alexey,

Thanks for this review -- I agree that the RFC 5547 security considerations
are quite important, and it's good to mention the SIP considerations as
well (even if they are technically optional).

Christer, thanks for the updates -- I balloted No Objection.

-Ben

On Mon, Jul 20, 2020 at 01:46:42PM +0100, Alexey Melnikov wrote:
> Reviewer: Alexey Melnikov
> Review result: Ready with Nits
> 
> I have reviewed this document as part of the security directorate's 
> ongoing effort to review all IETF documents being processed by the IESG. 
> These comments were written primarily for the benefit of the security 
> area directors. Document editors and WG chairs should treat these 
> comments just like any other last call comments.
> 
> The subject matter is outside my area of expertise and proper 
> understanding of the document requires reading of several referenced 
> documents. But I think I got the gist of what the document is trying to do.
> 
> The Security Consideration talks about data channels providing 
> confidentiality, integrity and source authentication for MSRP traffic, 
> which is good. It also points out to discussion of MSRP message 
> attribution in RFC 4975.
> 
> However, session setup is done over SIP, which has different security 
> considerations and nothing is mentioned about that. In particular, one 
> of normatively referenced documents RFC 5547 has very good Security 
> Considerations section (section 10) that talks about possible attacks on 
> file transfer negotiation. I think this should be referenced in the 
> document.
> 
> I also feel that more can be said about possible use of MSRP for 
> transferring of malicious files/images.
> 
> In Section 6:
> 
>   o  The gateway SHALL use CEMA towards the non-data channel endpoint.
> 
> Please explain and/or add a reference for CEMA.
> 
> -- 
> last-call mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/last-call